package org.jeecg.modules.checkData.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.checkData.dto.CurveWearRecordDTO;
import org.jeecg.modules.checkData.entity.CurveWearRecord;
import org.jeecg.modules.checkData.vo.CurveWearRecordDetailVO;
import org.jeecg.modules.checkData.vo.CurveWearRecordVO;

/**
 * <p>
 * 检查数据设备-设备检查记录数据-曲线磨耗情况检查 Mapper 接口
 * </p>
 *
 * @author hkl
 * @since 2023-07-09
 */
public interface CurveWearRecordMapper extends BaseMapper<CurveWearRecord> {

    Page<CurveWearRecordVO> queryPageList(Page<CurveWearRecordVO> pageData, CurveWearRecordDTO dto);

    CurveWearRecordDetailVO getDetail(String curveWearRecordId);
}
